import { OutputOptions, ExternalOption, Plugin } from 'rollup';
export declare type OtherOptions = {
    external?: ExternalOption;
    withMin?: boolean;
    resolveOnly?: ReadonlyArray<string | RegExp>;
};
export declare type BuildOptions = {
    input: string;
    external?: ExternalOption;
    plugins: Plugin[];
    output: OutputOptions[];
};
export declare function build(input: string, output: OutputOptions | OutputOptions[], otherOptions?: OtherOptions & {
    withMin: true;
}): BuildOptions[];
export declare function build(input: string, output: OutputOptions | OutputOptions[], otherOptions?: OtherOptions): BuildOptions;
